com.brightcove.player.mediacontroller

## Class MediaControllerConfig

- java.lang.Object
- - com.brightcove.player.mediacontroller.MediaControllerConfig

-     public final class MediaControllerConfig
      extends java.lang.Object

  A configuration class that can be used to configure `BrightcoveMediaController`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MediaControllerConfig.Builder` The MediaControllerConfig Builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInitialDuration()` Deprecated.
    `long` | `getInitialDurationLong()` Gets the initial duration value in milliseconds.
    `int` | `getInitialPlayheadPosition()` Deprecated.
    `long` | `getInitialPlayheadPositionLong()` Gets the initial playhead position value in milliseconds.
    `int` | `getLayoutId()` Gets the resource layout id.
    `MediaControllerKeyDispatcher` | `getMediaControllerKeyDispatcher()` Gets the `MediaControllerKeyDispatcher`.
    `android.view.View.OnTouchListener` | `getOnTouchListener()` Gets the on touch listener.
    `boolean` | `isShowControlsOnCreation()` Returns whether the Media Controller will be shown when the controller is created.
    `boolean` | `isShowControlsWhenAdIsPlaying()` Gets whether the Media Controller will be allowed to be shown when an Ad is playing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLayoutId

          public int getLayoutId()

      Gets the resource layout id.

      The default value is -1, which will be ignored by the `BrightcoveMediaController`.

      Returns:
        the layout id

    - #### getOnTouchListener

          @Nullable
          public android.view.View.OnTouchListener getOnTouchListener()

      Gets the on touch listener.

      The default value is null, which will be ignored by the `BrightcoveMediaController`.

      Returns:
        the on touch listener

    - #### getInitialDuration

          @Deprecated
          public int getInitialDuration()

      Deprecated.
      Deprecated. Instead use {`getInitialDurationLong()`}

    - #### getInitialDurationLong

          public long getInitialDurationLong()

      Gets the initial duration value in milliseconds.

      The default value is -1, which will be ignored by the `BrightcoveMediaController`.

      Returns:
        the initial duration value in milliseconds

    - #### getInitialPlayheadPosition

          @Deprecated
          public int getInitialPlayheadPosition()

      Deprecated.
      Deprecated. Instead use {`getInitialDurationLong()`}

    - #### getInitialPlayheadPositionLong

          public long getInitialPlayheadPositionLong()

      Gets the initial playhead position value in milliseconds.

      The default value is -1, which will be ignored by the `BrightcoveMediaController`.

      Returns:
        the initial playhead position value in milliseconds

    - #### isShowControlsOnCreation

          public boolean isShowControlsOnCreation()

      Returns whether the Media Controller will be shown when the controller is created. The Default value is true.
      Returns:
        true to show the controller when it is created.

    - #### isShowControlsWhenAdIsPlaying

          public boolean isShowControlsWhenAdIsPlaying()

      Gets whether the Media Controller will be allowed to be shown when an Ad is playing. The Default value is false.
      Returns:
        true to show the controller when an Ad is playing.

    - #### getMediaControllerKeyDispatcher

          @Nullable
          public MediaControllerKeyDispatcher getMediaControllerKeyDispatcher()

      Gets the `MediaControllerKeyDispatcher`.
      Returns:
        the media controller key dispatcher